* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    scroll-padding-top: 1rem;
    font-family: 'Poppins';
}

:root {
    --background: rgb(19, 19, 19);
}

body {
    background-color: var(--background);
    color: pink;
}

header {
    width: 100%;
    position: fixed;
    padding: 3em 12%;
    top: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: black;
    z-index: 1000;
}

header .logo {
    font-size: 2em;
    font-weight: 700;
    text-decoration: none;
    color: pink;
    opacity: 0.8;
    transition: 0.3s ease-in-out;
}

header .logo:hover {
    opacity: 1;
}

header ul {
    list-style: none;
    display: flex;
    gap: 3em;
    font-size: 1.2em;
    font-weight: 500;
}

ul li {
    opacity: 0.7;
    transition: 0.3s ease-in-out;
    cursor: pointer;
}

ul li:hover {
    opacity: 1;
}

#menu-icon {
    font-size: 3em;
    display: none;
}

footer{
    background-color: var(--background);
}
.footer-container{
    width: 100%;
    padding: 70px 30px 20px;
}
.social-icons{
    display: flex;
    justify-content: center;
}

.social-icons a{
    text-decoration: none;
    padding: 10px;
    background-color: pink;
    margin: 10px;
    border-radius: 50%;
    box-sizing: border-box;
    flex-shrink: 0;
    display: grid;
    place-items: center;
}
.social-icons a i{
    font-size: 2em;
    color: black;
    opacity: 0.9;
}
.social-icons a:hover{
    background-color: #111;
    transition: 0.3s ease-in-out;
}
.social-icons a:hover i{
    color: pink;
    transition: 0.3s ease-in-out;
}

.social-icons a::before {
    content: attr(data-social);
    position: absolute;
    background-color: pink;
    color: var(--background);
    text-decoration: none;
    padding: 0.5em 1em;
    border-radius: 100px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.05);
    transform: translateY(-30px) rotate(25deg);
    opacity: 0;
    transition: 200ms cubic-bezier(.42,0,.44,1.68);
}

.social-icons a::after {
    content: '';
    position: absolute;
    height: 0;
    width: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-top:  10px solid pink;
    transform: translateY(0) rotate(25deg);
    opacity: 0;
    transition: 200ms cubic-bezier(.42,0,.44,1.68);
}

.social-icons a:hover::before{
    transform: translateY(-65px) rotate(0);
    opacity: 1;
}

.social-icons a:hover::after{
    transform: translateY(-42px) rotate(0);
    opacity: 1;
}

.footer-nav{
    margin: 30px 0;
}
.footer-nav ul{
    display: flex;
    justify-content: center;
    list-style-type: none;
}
.footer-nav ul li a{
    color: pink;
    margin: 20px;
    text-decoration: none;
    font-size: 1.3em;
    opacity: 0.7;
    transition: 0.3s ease-in-out;
}
.footer-nav ul li a:hover{
    opacity: 1;
}
.footer-bottom{
    padding: 20px;
    text-align: center;
}

section {
    min-height: 100vh;
    padding: 10% 12%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5em;
}

h1 {
    font-size: 4em;
    line-height: 1;
}

span {
    background: linear-gradient(270deg, pink 10%, rgb(255, 152, 169) 100%);
    background-clip: text;
    color: transparent;
}

.btn-box {
    display: flex;
    gap: 1em;
}

.btn {
    padding: 0.5em 1em;
    border-radius: 1em;
    font-size: 1.2em;
    background-color: pink;
    border: 2px solid transparent;
    color: black;
    transition: 0.2s ease-in-out;
    cursor: pointer;
}

.btn:hover {
    background-color: var(--background);
    color: pink;
    border: 2px solid pink;
}

.bento-grid {
    flex: 1;
    max-height: 700px;
    display: flex;
    gap: 1em;
}

.bento-col-left {
    flex: 1.5;
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.bento-col-right {
    flex: 1.5;
    display: flex;
}

.bento-box {
    flex: 1;
    border-radius: 1em;
    display: flex;
    object-position: top left;
    gap: 1em;
    transition: 0.2s ease-in-out;
    overflow: hidden;
}

.inner-bento-box {
    flex: 1;
    border-radius: 1em;
    overflow: hidden;
    opacity: 0.8;
    transition: 0.2 ease-in-out;
}

.bento-col-left .bento-box:nth-of-type(1) .inner-bento-box:nth-of-type(1) {
    flex: 1.1
}

.bento-col-left .bento-box:nth-of-type(2) .inner-bento-box:nth-of-type(2) {
    flex: 1.6;
}

.bento-col-right .bento-box {
    overflow: hidden;
}

.inner-bento-box:hover {
    transform: scale(1.02);
    transition: 0.2s ease-in-out;
    opacity: 1;
}

img {
    object-fit: contain;
    width: 100%;
    max-height: 100%;
}

.info-box img {
    border-radius: 10%;
}

iframe {
    border-radius: 2em;
    border: 5px pink;
    width: 300px;
    height: 300px;
    opacity: 0.8;
    transition: 0.3s ease-in-out;
}
iframe:hover {
    transform: scale(1.1);
    opacity: 1;
}

#artists {
    background-color: var(--background);
    display: flex;
    flex-direction: column;
    align-items: center;
}

#contact {
    background-color: var(--background);
    display: flex;
    flex-direction: column;
    align-items: center;
}

#about {
    background-color: var(--background);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-container {
    flex: 1;
    height: 70%;
    display: flex;
    gap: 1em;
}

.card {
  width: 400px;
  height: 560px;
  margin: 1rem auto;
  perspective: 1000px;
  cursor: pointer;
}

.card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 0.6s;
  transform-style: preserve-3d;
}

.card-inner img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    overflow: hidden;
    border-radius: 10px;
    margin-bottom: 15px;
}

.card:hover .card-inner {
  transform: rotateY(180deg);
}

.card-front,
.card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 0.5rem;
}

.card-back {
  transform: rotateY(180deg);
}

.info-box img {
    border-radius: 10%;
}

#artist {
    background-color: var(--background);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.artist-photo {
    flex-wrap: wrap;
    border-radius: 0.5rem;
    object-fit: cover;
    width: 40%;
    height: 40%;
    padding: 2px;
    margin: 1rem auto;
    padding-bottom: 2rem;
}

.artist-bio {
    padding-top: 2rem;
}

.artist-gallery-container {
    position: relative;
    min-height: 100vh;
}

.artist-gallery-container .artist-image-container {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: center;
    padding: 10px;
}

.artist-gallery-container .artist-image-container .artist-image {
    height: 350px;
    width: 250px;
    border: 3px solid pink;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    cursor: pointer;
}

.artist-gallery-container .artist-image-container .artist-image img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    transition: 0.2s linear;
}

.artist-gallery-container .artist-image-container .artist-image:hover img {
    transform: scale(1.1);
}

.artist-gallery-container .artist-popup-image {
    position: fixed;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.9);
    height: 100%;
    width: 100%;
    z-index: 100;
    display: none;
}

.artist-gallery-container .artist-popup-image span {
    position: absolute;
    top: 165px;
    right: 10px;
    font-size: 60px;
    font-weight: bolder;
    color: pink;
    cursor: pointer;
    z-index: 100;
}

.artist-gallery-container .artist-popup-image img {
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 5px solid pink;
    border-radius: 5px;
    width: 500px;
    object-fit: cover;
}

#contact {
    background-color: var(--background);
    display: flex;
    flex-direction: column;
    align-items: center;
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2em;
}

form .contact-inputs {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    gap: 1em;
}

.contact-inputs span {
    font-size: 1.2em;
}

form input {
    font-size: 1.3em;
    padding: 1em 5em;
    border-radius: 0.5em;
    border: none;
    outline: none;
}

form input:focus {
    background: rgb(229, 229, 229);
}

form .contact-inputs textarea {
    height: 140px;
    padding: 1em 5em;
    border-radius: 0.5em;
}

.services-container {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px, 1fr));
    gap: 2em;
}
.box {
    border: 3px solid rgb(49,49,49);
    border-radius: 0.5em;
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    object-fit: cover;
    padding: 3em;
    gap: 2em;
    color: pink;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}
.box:hover {
    border: 3px solid pink;
}
.box p {
    opacity: 0.8;
}
.box h1 {
    font-size: 2em; 
}

#about {
    background-color: var(--background);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.studio-photo {
    flex-wrap: wrap;
    border-radius: 0.5rem;
    width: 30%;
    height: 30%;
    padding-bottom: 2rem;
}

footer {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10em;
    bottom: 0;
    background-color: var(--background);
    width: 100%;
    padding: 5em 15%;
}

footer .col-left {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.col-box {
    display: flex;
    align-items: center;
    gap: 1em;
}

.col-box i {
    font-size: 2em;
}

.col-box span {
    font-size: 1.2em;
}

footer .col-right {
    display: flex;
    flex-direction: column;
    gap: 1em;
    color: pink;
    max-width: 500px;
}

.col-right span {
    font-size: 1.3em;
}

.col-box .social-icons {
    display: flex;
    align-items: baseline;
    justify-content: left;
    gap: 1em;
}

.col-right .social-icons i {
    font-size: 2em;
    transition: 0.2s ease-in-out;
    cursor: pointer;
}

.social-icons i:hover {
    color: pink;
}

@media(max-width: 1200px) {

    section {
        flex-direction: column;
        margin: 10em 2em;
        padding: 10% 5%;
    }

    .flash-section {
        flex-direction: row;
    }

    .card-container {
        flex-direction: column;
    }

    header ul {
        display: none;
    }

    #menu-icon {
        display: block;
    }

    .menu-links {
        position: absolute;
        top: 100%;
        right: 0;
        width: 100%;
        padding: 1em 3em;
        color: pink;
        display: flex;
        flex-direction: column;
        text-align: center;
        background: var(--background);
        display: none;
    }

    .menu-links a {
        margin: 2em 0;
        display: block;
        font-size: 1.5em;
        color: pink;
    }

    .menu-links.active {
        display: block;
    }
}

@media (max-width: 700px) {

    .artist-gallery-container .artist-popup-image img {
        width: 95%;
    }

    .footer-nav ul{
        flex-direction: column;
    }
    .footer-nav ul li{
        width: 100%;
        text-align: center;
        margin: 5px;
    }
}